Index: cpukit/rtems/ChangeLog
===================================================================
--- cpukit/rtems/ChangeLog	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/ChangeLog	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -1,2 +1,13 @@
+2003-08-14	Joel Sherrill <joel@OARcorp.com>
+
+	* Makefile.am, include/rtems.h, include/rtems/rtems/status.h,
+	src/dpmemident.c, src/msgqident.c, src/partident.c,
+	src/ratemonident.c, src/regionident.c, src/semident.c,
+	src/taskident.c, src/timerident.c: Added ID to name lookup service
+	and changed name of id/name translation status code. This propagated
+	to multiple functions. The user API service added was
+	rtems_object_id_to_name()
+	* src/rtemsidtoname.c: New file.
+
 2003-06-12	Joel Sherrill <joel@OARcorp.com>
 
Index: cpukit/rtems/Makefile.am
===================================================================
--- cpukit/rtems/Makefile.am	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/Makefile.am	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -127,5 +127,6 @@
     src/dpmemident.c src/dpmeminternal2external.c
 
-STD_C_FILES = src/attr.c $(TASK_C_FILES) $(RATEMON_C_FILES) $(INTR_C_FILES) \
+STD_C_FILES = src/attr.c src/rtemsidtoname.c \
+    $(TASK_C_FILES) $(RATEMON_C_FILES) $(INTR_C_FILES) \
     $(CLOCK_C_FILES) $(TIMER_C_FILES) $(SEMAPHORE_C_FILES) \
     $(MESSAGE_QUEUE_C_FILES) $(EVENT_C_FILES) $(SIGNAL_C_FILES) \
Index: cpukit/rtems/include/rtems.h
===================================================================
--- cpukit/rtems/include/rtems.h	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/include/rtems.h	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -116,4 +116,24 @@
 #define RTEMS_MINIMUN_HETERO_CONVERSION  MP_PACKET_MINIMUN_HETERO_CONVERSION
 
+/*
+ *  rtems_object_id_to_name
+ *
+ *  This directive returns the name associated with the specified 
+ *  object ID.
+ *
+ *  Input parameters:
+ *    id   - message queue id
+ *
+ *  Output parameters:
+ *    *name            - user defined object name
+ *    RTEMS_SUCCESSFUL - if successful
+ *    error code       - if unsuccessful
+ */
+
+rtems_status_code rtems_object_id_to_name(
+  rtems_id      id,
+  rtems_name   *name
+);
+
 #ifdef __cplusplus
 }
Index: cpukit/rtems/include/rtems/rtems/status.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/status.h	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/include/rtems/rtems/status.h	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -64,6 +64,7 @@
 #ifdef RTEMS_API_INIT
 rtems_status_code _Status_Object_name_errors_to_status[] = {
-  RTEMS_SUCCESSFUL,      /* OBJECTS_SUCCESSFUL */
+  RTEMS_SUCCESSFUL,      /* OBJECTS_ID_NAME_OR_ID_LOOKUP_SUCCESSFUL */
   RTEMS_INVALID_NAME,    /* OBJECTS_INVALID_NAME */
+  RTEMS_INVALID_ID,      /* OBJECTS_INVALID_ID */
   RTEMS_INVALID_NODE     /* OBJECTS_INVALID_NODE */
 };
Index: cpukit/rtems/src/dpmemident.c
===================================================================
--- cpukit/rtems/src/dpmemident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/dpmemident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -43,5 +43,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/msgqident.c
===================================================================
--- cpukit/rtems/src/msgqident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/msgqident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -55,5 +55,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/partident.c
===================================================================
--- cpukit/rtems/src/partident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/partident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -46,5 +46,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/ratemonident.c
===================================================================
--- cpukit/rtems/src/ratemonident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/ratemonident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -43,5 +43,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/regionident.c
===================================================================
--- cpukit/rtems/src/regionident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/regionident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -45,5 +45,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/rtemsidtoname.c
===================================================================
--- cpukit/rtems/src/rtemsidtoname.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
+++ cpukit/rtems/src/rtemsidtoname.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -0,0 +1,46 @@
+/*
+ *  RTEMS ID To Name Lookup
+ *
+ *
+ *  COPYRIGHT (c) 1989-2003.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <rtems/system.h>
+#include <rtems/score/object.h>
+#include <rtems/rtems/status.h>
+#include <rtems/rtems/types.h>
+
+/*PAGE
+ *
+ *  rtems_object_id_to_name
+ *
+ *  This directive returns the name associated with the specified 
+ *  object ID.
+ *
+ *  Input parameters:
+ *    id   - message queue id
+ *
+ *  Output parameters:
+ *    *name            - user defined object name
+ *    RTEMS_SUCCESSFUL - if successful
+ *    error code       - if unsuccessful
+ */
+
+rtems_status_code rtems_object_id_to_name(
+  rtems_id      id,
+  rtems_name   *name
+)
+{
+  Objects_Name_or_id_lookup_errors  status;
+
+  status = _Objects_Id_to_name( id, (Objects_Name *) name );
+
+  return _Status_Object_name_errors_to_status[ status ];
+}
Index: cpukit/rtems/src/semident.c
===================================================================
--- cpukit/rtems/src/semident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/semident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -70,5 +70,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
  
   status = _Objects_Name_to_id(
Index: cpukit/rtems/src/taskident.c
===================================================================
--- cpukit/rtems/src/taskident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/taskident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -53,5 +53,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   if ( name == OBJECTS_ID_OF_SELF ) {
Index: cpukit/rtems/src/timerident.c
===================================================================
--- cpukit/rtems/src/timerident.c	(revision ff08b8087887bc1ae8d9f22f3a21c62e46477312)
+++ cpukit/rtems/src/timerident.c	(revision 1e2e6fe0f96a28a0a9f8cbc592e667ea5ed1e555)
@@ -44,5 +44,5 @@
 )
 {
-  Objects_Name_to_id_errors  status;
+  Objects_Name_or_id_lookup_errors  status;
 
   status = _Objects_Name_to_id(
